#Module-Specific definitions
%define mod_version 0.5
%define snap 20040204
%define release 0.%{snap}.1mdk
%define mod_name mod_ngobjweb
%define mod_conf A23_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_ngobjweb is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	opengroupware.org-%{mod_name}-%{snap}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_ngobjweb-sanityfix.diff.bz2
License:	GPL
URL:		http://www.opengroupware.org/
Prereq:		rpm-helper
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is an Apache module for forwarding HTTP requests to SOPE
application server instances. It has the ability to ask the snsd
load balancer to  distribute requests between processes and/or
hosts.

%prep
%setup -q -n opengroupware.org-%{mod_name}
%patch0 -p0

%build 

%make APXS="%{apxs}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# fix advx compat
mkdir -p .libs; mv %{mod_so} .libs/

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%post
%ADVXpost

%postun
%ADVXpost

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog COPYRIGHT skyrix.conf httpd.conf
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Fri Feb 13 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.5-0.20040204.1mdk
- 20040204

* Mon Dec 22 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.5-0.20031201.6mdk
- update apache2

* Mon Dec 22 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.4-0.20031201.5mdk
- remove restricting files (hopefully)

* Thu Dec 18 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.4-0.20031201.4mdk
- rebuild yet again

* Wed Dec 17 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.4-0.20031201.3mdk
- correct requires

* Tue Dec 16 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.4-0.20031201.2mdk
- rebuild

* Mon Dec 15 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.4-0.20031201.1mdk
- rebuild for proper gstep-make
- updated  apache2

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.srk.com> 2.0.48_0.2-0.20031201.1mdk
- new snapshot - bugfixes

* Tue Nov 4 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.2-0.20031001.1mdk
- update for new apache2

* Wed Oct 29 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.47_0.1-0.20031001.2mdk
- add ZideStore and Evolution handling

* Tue Oct 07 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.47_0.1-0.20031001.1mdk
- update to match 20031001 opengroupware snapshot
- correct module name in config file
- copy module to internal directories
- many thx Oden

* Sun Oct 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.1-0.20030814.1mdk
- initial cooker contrib
- used spec file stuff from the 1.3.28 version
- added P0

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 20030716-2mdk
- rebuild with apache 1.3.28

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 20030716-1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile
